読者です 読者をやめる 読者になる 読者になる

Eclipse(Ganymede) に Subversion プラグイン Subversive をインストールする

Eclipse Subversion

今まで EclipseSubversion プラグインは Subsclipse を使っていた。
だが、現在 Eclipse Foundation に公認された Subversive を使う方が良さそうだ。
Eclipse Subversive - Subversion (SVN) Team Provider

Eclipse のソフトウエアアップデートからインストールする手順は下記のとおり

  1. メニュー Help → Software Updates... を選択
  2. [Available Software] をクリック
  3. [type filter text] テキストボックスに「subversive」と入力
  4. 表示されたプラグイン Subversive Integration for the Mylyn Project を選択
  5. [type filter text] テキストボックスに「svn」と入力
  6. 表示されたプラグイン SVN Team Provider を選択
  7. ダイアログに従ってインストール

上記だけではリポジトリに接続するコネクタが入らなかった。下記も必要。

  1. メニュー Help → Software Updates... を選択
  2. [Available Software] をクリック
  3. [Add Site]をクリック、URL に http://www.polarion.org/projects/subversive/download/eclipse/2.0/update-site/ を入力して追加。
  4. 表示されたプラグイン Subversive Integration for the Mylyn Project を選択
  5. [type filter text] テキストボックスに「svn」と入力
  6. 表示されたプラグイン Subversive SVN Connectors, SVNKit を選択
  7. ダイアログに従ってインストール